if [ -e "/Applications/Utilities/Adobe AIR Application Installer.app" ]; then currentinstalledver=`/usr/bin/defaults read /Applications/Utilities/Adobe\ AIR\ Application\ Installer.app/Contents/Info CFBundle Short Version String` echo "Current installed version is: $currentinstalledver" if [ $ = $ ]; then echo "Adobe AIR is current.

updating adobe air applications-79updating adobe air applications-82

The error was something like the was invalid or something like that... Set the http and https proxies for Git Hub via command line, then set the http_proxy and https_proxy variables for bash/ terminal: Commands to use: git config --global http.proxy port]git config --global https.proxy port]]export http_proxy=[proxyuser:[email protected]]:[proxy port]export https_proxy=[proxyuser:[email protected]]:[proxy port] E.g: if you don't need to use a username and password to get through your proxy, the syntax would be...

git config --global http.proxy http_proxy=proxy.mydomain.com:3128 ..

If I manually run the installer, Air is recognized... The script seems to be installing an unusable instance of Air. I'd recommend doing a double take on anything requiring Flash or AIR installs.

If there is no alternative are possible, I would at least contact the vendor and request them to get to commit to a native, proper App for OS X and in the meantime move to a captive runtime bundle for their software.

-f1 ) url="" url1=" url2="/Adobe AIR.dmg" #Build URL url=`echo "$$"` echo "Latest version of the URL is: $url" # Compare the two versions, if they are different or Adobe AIR is not present then download and install the new version. = "$" ]; then /bin/echo "`date`: Current AIR version: $" $ /bin/rm /tmp/$ #double check to see if the new version got updated newlyinstalledver=`/usr/bin/defaults read /Applications/Utilities/Adobe\ AIR\ Application\ Installer.app/Contents/Info CFBundle Short Version String` if [ "$" = "$" ]; then /bin/echo "`date`: SUCCESS: Adobe AIR has been updated to version $" $ # /Library/Application\ Support/JAMF/bin/jamf Helper.app/Contents/Mac OS/jamf Helper -window Type hud -title "Adobe AIR Updated" -description "Adobe AIR has been updated." & else /bin/echo "`date`: ERROR: Adobe AIR update unsuccessful, version remains at $." 2016-07-19 .785 Adobe AIR Installer[6396178] CFPasteboard Ref CFPasteboard Create(CFAllocator Ref, CFString Ref) : failed to create global data 2016-07-19 .785 Adobe AIR Installer[6396178] CFPasteboard Ref CFPasteboard Create(CFAllocator Ref, CFString Ref) : failed to create global data 2016-07-19 .785 Adobe AIR Installer[6396178] CFPasteboard Ref CFPasteboard Create(CFAllocator Ref, CFString Ref) : failed to create global data 2016-07-19 .786 Adobe AIR Installer[6396178] CFPasteboard Ref CFPasteboard Create(CFAllocator Ref, CFString Ref) : failed to create global [email protected] Adobe AIR 22 is really kicking my a** today.

The usual wrapper and script is failing on 10.10.5 and 10.11.6 VMs.

-f1 ) url="" url1=" url2="/Adobe AIR.dmg" #Build URL url=`echo "$$"` echo "Latest version of the URL is: $url" # Compare the two versions, if they are different or Adobe AIR is not present then download and install the new version. = "$" ]; then /bin/echo "`date`: Current AIR version: $" $ /bin/rm /tmp/$ #double check to see if the new version got updated newlyinstalledver=`/usr/bin/defaults read /Applications/Utilities/Adobe\ AIR\ Application\ Installer.app/Contents/Info CFBundle Short Version String` if [ "$" = "$" ]; then /bin/echo "`date`: SUCCESS: Adobe AIR has been updated to version $" $ # /Library/Application\ Support/JAMF/bin/jamf Helper.app/Contents/Mac OS/jamf Helper -window Type hud -title "Adobe AIR Updated" -description "Adobe AIR has been updated." & else /bin/echo "`date`: ERROR: Adobe AIR update unsuccessful, version remains at $." @joe.farage: I am using your script to install Air (my users need to use the claromentis document editor).

After running the script runs successfully, Air seems to be installed, frameworks files are there, but the apps don't seem to detect it in browser (Chrome, Safari, I'm just prompted to run the Air installer again).

Snapshot (cringing) shows what files are installed, confirmed working on 10.11.6, 10.10.5, and 10.9.5.